/* Import the font from e.g. Google Fonts */
/* Under the hood these services also use the @font-face rule to reference individual font files */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {

  --theme-roundness: 2;
  
  /* Buttons */
  --K15t-background-neutral: #F4F4FF; /*background table top */
  --K15t-background-neutral-hovered: #F4F4FF; /* babyblue50 */ 
  --K15t-background-brand-hovered: #F4F4FF;
  --K15t-background-brand-selected: #F4F4FF; 
  --K15t-foreground-brand: #5268FF; /* clearblue300 */
    
  /* text */
  --theme-text-font: "Poppins", sans serif;
  --theme-headline-font: "Poppins", sans serif;
  --theme-text-color: #083072;
  --K15t-link: #CC7A0D;
  --K15t-link-visited: #995B0A;
  
  /* Borders */ 
  --K15t-border-neutral: #E9EAFF; /* clearblue100 */
  --K15t-border-neutral-strong: #E9EAFF; 
  --K15t-border-neutral-strong-selected: #C8CBFF; /*ClearBlue200*/
  
  /* Table of contents right */
  [data-vp-component="toc"] {
    --foreground-color-selected: #5268FF;
    --background-color: #fff;
    --background-color-selected: #F4F4FF;
    --border-color: #F4F4FF;
  }
  .toc-heading {
    font-weight: 500;
  }
  .toc.sticky .toc-list .toc-link[aria-current=true] {
    background-color: #F4F4FF;
  }

  /* Removes highlights in swagger response codeblocks */
  #swagger-ui .highlight-code code {
    color: unset;
    background-color: unset;
  }

  #swagger-ui .swagger-ui .markdown code, .swagger-ui .renderedMarkdown code {
    color: var(--K15t-foreground);
  }

  /* Fixes spacing between li */
  #swagger-ui li {
    margin-bottom: .5rem;
  }
}